complexType "Swaption"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 18 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*)?, buyerPartyReference, buyerAccountReference?, sellerPartyReference, sellerAccountReference?, premium*, exercise, exerciseProcedure?, calculationAgent?, (cashSettlement | physicalSettlement)?, swaptionStraddle, swaptionAdjustedDates?, swap
</...>

Content Model Elements (18):

  assetClass, buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), calculationAgent (in swaption), cashSettlement (in swaption), exercise, exerciseProcedure (in swaption), physicalSettlement (in swaption), premium (in swaption), | primaryAssetClass, productId (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass, sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group), swap (in swaption), swaptionAdjustedDates, swaptionStraddle

All Direct / Indirect Based Elements (1):

  swaption

Known Usage Locations

- As direct type of elements (1):
  swaption

Annotation
A type to define an option on a swap.
Type Definition Detail

Type Derivation Tree Product (extension) Swaption

XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="Swaption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"/> <xsd:element ref="exercise"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"/> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"/> <xsd:choice minOccurs="0"> <xsd:element name="cashSettlement" type="CashSettlement"/> <xsd:element name="physicalSettlement" type="SwaptionPhysicalSettlement"/> </xsd:choice> <xsd:element name="swaptionStraddle" type="xsd:boolean"/> <xsd:element minOccurs="0" name="swaptionAdjustedDates" type="SwaptionAdjustedDates"/> <xsd:element name="swap" type="Swap"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/18)
calculationAgent

  Type: | CalculationAgent, complex content

  The ISDA Calculation Agent responsible for performing duties associated with an optional early termination.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"/>

cashSettlement

  Type: | CashSettlement, complex content

  If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement procedure. If not specified, then physical settlement is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="cashSettlement" type="CashSettlement"/>

exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element ref="exercise"/>

exerciseProcedure

  Type: | ExerciseProcedure, complex content

  A set of parameters defining procedures associated with the exercise.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"/>

physicalSettlement

  Type: | SwaptionPhysicalSettlement, complex content

  If specified, this defines physical settlement terms which apply to the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="physicalSettlement" type="SwaptionPhysicalSettlement"/>

premium

  Type: | Payment, complex content

  The option premium amount payable by buyer to seller on the specified payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"/>

swap

  Type: | Swap, complex content

  XML Source (see within schema source)

  <xsd:element name="swap" type="Swap"/>

swaptionAdjustedDates

  Type: | SwaptionAdjustedDates, complex content

  The adjusted dates associated with swaption exercise. These dates have been adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="swaptionAdjustedDates" type="SwaptionAdjustedDates"/>

swaptionStraddle

  Type: | xsd:boolean, predefined, simple content

  Whether the option is a swaption or a swaption straddle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="swaptionStraddle" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.